##
##  nats-streaming-client.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
%define       V_nats_streaming_client_base  0.4.5
%define       V_nats_streaming_client_snap  20190831

#   package information
Name:         nats-streaming-client
Summary:      NATS Command-Line Interface (CLI) Streaming Clients
URL:          http://nats.io/
Vendor:       Apcera Inc.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      MIT
Version:      %{V_nats_streaming_client_base}.%{V_nats_streaming_client_snap}
Release:      20190831

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/nats/nats-streaming-client-%{V_nats_streaming_client_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    These are simple Command-Line Interface (CLI) clients for the
    NATS messaging system. It supports publish and subscribe for NATS
    Streaming.

%track
    prog nats-streaming-client = {
        version   = %{V_nats_streaming_client_base}
        url       = https://github.com/nats-io/go-nats-streaming/releases
        regex     = v(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n nats-streaming-client

%build
    #   build programs
    (   export GOPATH=`pwd`
        cd $GOPATH/src/github.com/nats-io/go-nats-streaming/examples
        for util in stan-sub stan-pub; do
            go build -v -o $util.exe $util/main.go
        done
    ) || exit $?

%install
    #   create directory hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin

    #   install programs
    for util in stan-sub stan-pub; do
        %{l_shtool} install -c -s -m 755 \
            src/github.com/nats-io/go-nats-streaming/examples/$util.exe \
            $RPM_BUILD_ROOT%{l_prefix}/bin/nats-$util
    done

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

